/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagClient;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagDsp;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagUtilizationType;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.BackclaimInProgress;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidMetadata;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidMetadataDetails;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidS3Path;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ClientToDsp;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CommercialOffers;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CurrencyRate;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrMetadata;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrMetadataConfig;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStatistics;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStatisticsSophia;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStepsMonitoring;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrUnidentified;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ImportiAnticipo;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.Invoice;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceAccantonamento;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceItem;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceItemToCcid;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceLog;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceReclamo;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ItemInvoiceReason;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmBackclaimStatistics;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizioneCarico;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizioneCaricoCcid;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizione_648;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfConfiguration;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfConfigurationSettings;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfSetting;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.RightSplit;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.SocietaTutela;
import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.UnidentifiedSongDsr;

import javax.annotation.Generated;


/**
 * Convenience access to all tables in 
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Tables {

    /**
     * The table <code>ANAG_CLIENT</code>.
     */
    public static final AnagClient ANAG_CLIENT = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagClient.ANAG_CLIENT;

    /**
     * The table <code>ANAG_DSP</code>.
     */
    public static final AnagDsp ANAG_DSP = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagDsp.ANAG_DSP;

    /**
     * The table <code>ANAG_UTILIZATION_TYPE</code>.
     */
    public static final AnagUtilizationType ANAG_UTILIZATION_TYPE = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.AnagUtilizationType.ANAG_UTILIZATION_TYPE;

    /**
     * The table <code>BACKCLAIM_IN_PROGRESS</code>.
     */
    public static final BackclaimInProgress BACKCLAIM_IN_PROGRESS = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.BackclaimInProgress.BACKCLAIM_IN_PROGRESS;

    /**
     * The table <code>CCID_METADATA</code>.
     */
    public static final CcidMetadata CCID_METADATA = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidMetadata.CCID_METADATA;

    /**
     * The table <code>CCID_METADATA_DETAILS</code>.
     */
    public static final CcidMetadataDetails CCID_METADATA_DETAILS = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidMetadataDetails.CCID_METADATA_DETAILS;

    /**
     * The table <code>CCID_S3_PATH</code>.
     */
    public static final CcidS3Path CCID_S3_PATH = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidS3Path.CCID_S3_PATH;

    /**
     * The table <code>CLIENT_TO_DSP</code>.
     */
    public static final ClientToDsp CLIENT_TO_DSP = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ClientToDsp.CLIENT_TO_DSP;

    /**
     * The table <code>COMMERCIAL_OFFERS</code>.
     */
    public static final CommercialOffers COMMERCIAL_OFFERS = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CommercialOffers.COMMERCIAL_OFFERS;

    /**
     * The table <code>currency_rate</code>.
     */
    public static final CurrencyRate CURRENCY_RATE = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CurrencyRate.CURRENCY_RATE;

    /**
     * The table <code>DSR_METADATA</code>.
     */
    public static final DsrMetadata DSR_METADATA = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrMetadata.DSR_METADATA;

    /**
     * The table <code>DSR_METADATA_CONFIG</code>.
     */
    public static final DsrMetadataConfig DSR_METADATA_CONFIG = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrMetadataConfig.DSR_METADATA_CONFIG;

    /**
     * The table <code>DSR_STATISTICS</code>.
     */
    public static final DsrStatistics DSR_STATISTICS = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStatistics.DSR_STATISTICS;

    /**
     * The table <code>DSR_STATISTICS_SOPHIA</code>.
     */
    public static final DsrStatisticsSophia DSR_STATISTICS_SOPHIA = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStatisticsSophia.DSR_STATISTICS_SOPHIA;

    /**
     * The table <code>DSR_STEPS_MONITORING</code>.
     */
    public static final DsrStepsMonitoring DSR_STEPS_MONITORING = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrStepsMonitoring.DSR_STEPS_MONITORING;

    /**
     * The table <code>DSR_UNIDENTIFIED</code>.
     */
    public static final DsrUnidentified DSR_UNIDENTIFIED = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.DsrUnidentified.DSR_UNIDENTIFIED;

    /**
     * The table <code>IMPORTI_ANTICIPO</code>.
     */
    public static final ImportiAnticipo IMPORTI_ANTICIPO = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ImportiAnticipo.IMPORTI_ANTICIPO;

    /**
     * The table <code>INVOICE</code>.
     */
    public static final Invoice INVOICE = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.Invoice.INVOICE;

    /**
     * The table <code>INVOICE_ACCANTONAMENTO</code>.
     */
    public static final InvoiceAccantonamento INVOICE_ACCANTONAMENTO = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceAccantonamento.INVOICE_ACCANTONAMENTO;

    /**
     * The table <code>INVOICE_ITEM</code>.
     */
    public static final InvoiceItem INVOICE_ITEM = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceItem.INVOICE_ITEM;

    /**
     * The table <code>INVOICE_ITEM_TO_CCID</code>.
     */
    public static final InvoiceItemToCcid INVOICE_ITEM_TO_CCID = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceItemToCcid.INVOICE_ITEM_TO_CCID;

    /**
     * The table <code>INVOICE_LOG</code>.
     */
    public static final InvoiceLog INVOICE_LOG = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceLog.INVOICE_LOG;

    /**
     * The table <code>INVOICE_RECLAMO</code>.
     */
    public static final InvoiceReclamo INVOICE_RECLAMO = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceReclamo.INVOICE_RECLAMO;

    /**
     * The table <code>ITEM_INVOICE_REASON</code>.
     */
    public static final ItemInvoiceReason ITEM_INVOICE_REASON = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.ItemInvoiceReason.ITEM_INVOICE_REASON;

    /**
     * The table <code>MM_BACKCLAIM_STATISTICS</code>.
     */
    public static final MmBackclaimStatistics MM_BACKCLAIM_STATISTICS = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmBackclaimStatistics.MM_BACKCLAIM_STATISTICS;

    /**
     * The table <code>MM_RIPARTIZIONE_648</code>.
     */
    public static final MmRipartizione_648 MM_RIPARTIZIONE_648 = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizione_648.MM_RIPARTIZIONE_648;

    /**
     * The table <code>MM_RIPARTIZIONE_CARICO</code>.
     */
    public static final MmRipartizioneCarico MM_RIPARTIZIONE_CARICO = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO;

    /**
     * The table <code>MM_RIPARTIZIONE_CARICO_CCID</code>.
     */
    public static final MmRipartizioneCaricoCcid MM_RIPARTIZIONE_CARICO_CCID = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID;

    /**
     * The table <code>PERF_CONFIGURATION</code>.
     */
    public static final PerfConfiguration PERF_CONFIGURATION = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfConfiguration.PERF_CONFIGURATION;

    /**
     * The table <code>PERF_CONFIGURATION_SETTINGS</code>.
     */
    public static final PerfConfigurationSettings PERF_CONFIGURATION_SETTINGS = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfConfigurationSettings.PERF_CONFIGURATION_SETTINGS;

    /**
     * The table <code>PERF_SETTING</code>.
     */
    public static final PerfSetting PERF_SETTING = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.PerfSetting.PERF_SETTING;

    /**
     * The table <code>RIGHT_SPLIT</code>.
     */
    public static final RightSplit RIGHT_SPLIT = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.RightSplit.RIGHT_SPLIT;

    /**
     * The table <code>SOCIETA_TUTELA</code>.
     */
    public static final SocietaTutela SOCIETA_TUTELA = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.SocietaTutela.SOCIETA_TUTELA;

    /**
     * The table <code>unidentified_song_dsr</code>.
     */
    public static final UnidentifiedSongDsr UNIDENTIFIED_SONG_DSR = com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.UnidentifiedSongDsr.UNIDENTIFIED_SONG_DSR;
}
